Projects
Create project with a postgres database
Creates a new project with a postgres database.
POST
/v1/projectsCreates a new project with a postgres database.
AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/projects" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "type": "project", "url": "http://example.com", "name": "string", "logicalId": "string", "createdAt": "2019-08-24T14:15:22Z", "defaultRegion": "string", "workspace": { "id": "string", "url": "http://example.com", "name": "string" }, "database": { "id": "string", "type": "database", "url": "http://example.com", "name": "string", "status": "provisioning", "createdAt": "2019-08-24T14:15:22Z", "isDefault": true, "defaultConnectionId": "string", "connections": [ { "id": "string", "type": "connection", "url": "http://example.com", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "kind": "postgres", "endpoints": { "direct": { "host": "string", "port": 0, "connectionString": "string" }, "pooled": { "host": "string", "port": 0, "connectionString": "string" }, "accelerate": { "host": "string", "port": 0, "connectionString": "string" } }, "directConnection": { "host": "string", "pass": "string", "user": "string" }, "database": { "id": "string", "url": "http://example.com", "name": "string" } } ], "region": { "id": "string", "name": "string" }, "source": { "type": "empty" }, "branchId": "string", "apiKeys": [ { "id": "string", "type": "connection", "url": "http://example.com", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "kind": "postgres", "endpoints": { "direct": { "host": "string", "port": 0 }, "pooled": { "host": "string", "port": 0 }, "accelerate": { "host": "string", "port": 0 } }, "connectionString": "string", "directConnection": { "host": "string", "pass": "string", "user": "string" } } ], "connectionString": "string", "directConnection": { "host": "string", "pass": "string", "user": "string" } } }}